/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CrosshairLayerDescription = /*@__PURE__*/ (() => {
    class CrosshairLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "CrosshairLayer";
        }
        constructor() {
            super();
            this.f9 = null;
            this.gd = null;
            this.gb = null;
            this.gc = null;
            this.fd = false;
            this.fb = false;
            this.gi = null;
            this.gf = null;
            this.fh = 0;
            this.f5 = 0;
            this.gh = null;
            this.fj = 0;
            this.fl = 0;
            this.fk = 0;
            this.fi = 0;
            this.fp = 0;
            this.fr = 0;
            this.fq = 0;
            this.fo = 0;
            this.fm = 0;
            this.gm = null;
            this.gj = null;
            this.fn = 0;
            this.f6 = 0;
            this.gl = null;
            this.fs = 0;
            this.ge = null;
            this.ga = null;
            this.fc = false;
            this.gg = null;
            this.gk = null;
        }
        get horizontalLineStroke() {
            return this.f9;
        }
        set horizontalLineStroke(a) {
            this.f9 = a;
            this.g("HorizontalLineStroke");
        }
        get verticalLineStroke() {
            return this.gd;
        }
        set verticalLineStroke(a) {
            this.gd = a;
            this.g("VerticalLineStroke");
        }
        get targetSeriesName() {
            return this.gb;
        }
        set targetSeriesName(a) {
            this.gb = a;
            this.g("TargetSeriesName");
        }
        get targetSeriesRef() {
            return this.gc;
        }
        set targetSeriesRef(a) {
            this.gc = a;
            this.g("TargetSeriesRef");
        }
        get useInterpolation() {
            return this.fd;
        }
        set useInterpolation(a) {
            this.fd = a;
            this.g("UseInterpolation");
        }
        get isAxisAnnotationEnabled() {
            return this.fb;
        }
        set isAxisAnnotationEnabled(a) {
            this.fb = a;
            this.g("IsAxisAnnotationEnabled");
        }
        get xAxisAnnotationTextColor() {
            return this.gi;
        }
        set xAxisAnnotationTextColor(a) {
            this.gi = a;
            this.g("XAxisAnnotationTextColor");
        }
        get xAxisAnnotationBackground() {
            return this.gf;
        }
        set xAxisAnnotationBackground(a) {
            this.gf = a;
            this.g("XAxisAnnotationBackground");
        }
        get xAxisAnnotationBackgroundCornerRadius() {
            return this.fh;
        }
        set xAxisAnnotationBackgroundCornerRadius(a) {
            this.fh = a;
            this.g("XAxisAnnotationBackgroundCornerRadius");
        }
        get xAxisAnnotationInterpolatedValuePrecision() {
            return this.f5;
        }
        set xAxisAnnotationInterpolatedValuePrecision(a) {
            this.f5 = a;
            this.g("XAxisAnnotationInterpolatedValuePrecision");
        }
        get xAxisAnnotationOutline() {
            return this.gh;
        }
        set xAxisAnnotationOutline(a) {
            this.gh = a;
            this.g("XAxisAnnotationOutline");
        }
        get xAxisAnnotationPaddingLeft() {
            return this.fj;
        }
        set xAxisAnnotationPaddingLeft(a) {
            this.fj = a;
            this.g("XAxisAnnotationPaddingLeft");
        }
        get xAxisAnnotationPaddingTop() {
            return this.fl;
        }
        set xAxisAnnotationPaddingTop(a) {
            this.fl = a;
            this.g("XAxisAnnotationPaddingTop");
        }
        get xAxisAnnotationPaddingRight() {
            return this.fk;
        }
        set xAxisAnnotationPaddingRight(a) {
            this.fk = a;
            this.g("XAxisAnnotationPaddingRight");
        }
        get xAxisAnnotationPaddingBottom() {
            return this.fi;
        }
        set xAxisAnnotationPaddingBottom(a) {
            this.fi = a;
            this.g("XAxisAnnotationPaddingBottom");
        }
        get yAxisAnnotationPaddingLeft() {
            return this.fp;
        }
        set yAxisAnnotationPaddingLeft(a) {
            this.fp = a;
            this.g("YAxisAnnotationPaddingLeft");
        }
        get yAxisAnnotationPaddingTop() {
            return this.fr;
        }
        set yAxisAnnotationPaddingTop(a) {
            this.fr = a;
            this.g("YAxisAnnotationPaddingTop");
        }
        get yAxisAnnotationPaddingRight() {
            return this.fq;
        }
        set yAxisAnnotationPaddingRight(a) {
            this.fq = a;
            this.g("YAxisAnnotationPaddingRight");
        }
        get yAxisAnnotationPaddingBottom() {
            return this.fo;
        }
        set yAxisAnnotationPaddingBottom(a) {
            this.fo = a;
            this.g("YAxisAnnotationPaddingBottom");
        }
        get xAxisAnnotationStrokeThickness() {
            return this.fm;
        }
        set xAxisAnnotationStrokeThickness(a) {
            this.fm = a;
            this.g("XAxisAnnotationStrokeThickness");
        }
        get yAxisAnnotationTextColor() {
            return this.gm;
        }
        set yAxisAnnotationTextColor(a) {
            this.gm = a;
            this.g("YAxisAnnotationTextColor");
        }
        get yAxisAnnotationBackground() {
            return this.gj;
        }
        set yAxisAnnotationBackground(a) {
            this.gj = a;
            this.g("YAxisAnnotationBackground");
        }
        get yAxisAnnotationBackgroundCornerRadius() {
            return this.fn;
        }
        set yAxisAnnotationBackgroundCornerRadius(a) {
            this.fn = a;
            this.g("YAxisAnnotationBackgroundCornerRadius");
        }
        get yAxisAnnotationInterpolatedValuePrecision() {
            return this.f6;
        }
        set yAxisAnnotationInterpolatedValuePrecision(a) {
            this.f6 = a;
            this.g("YAxisAnnotationInterpolatedValuePrecision");
        }
        get yAxisAnnotationOutline() {
            return this.gl;
        }
        set yAxisAnnotationOutline(a) {
            this.gl = a;
            this.g("YAxisAnnotationOutline");
        }
        get yAxisAnnotationStrokeThickness() {
            return this.fs;
        }
        set yAxisAnnotationStrokeThickness(a) {
            this.fs = a;
            this.g("YAxisAnnotationStrokeThickness");
        }
        get verticalLineVisibility() {
            return this.ge;
        }
        set verticalLineVisibility(a) {
            this.ge = a;
            this.g("VerticalLineVisibility");
        }
        get horizontalLineVisibility() {
            return this.ga;
        }
        set horizontalLineVisibility(a) {
            this.ga = a;
            this.g("HorizontalLineVisibility");
        }
        get skipUnknownValues() {
            return this.fc;
        }
        set skipUnknownValues(a) {
            this.fc = a;
            this.g("SkipUnknownValues");
        }
        get xAxisAnnotationFormatLabelRef() {
            return this.gg;
        }
        set xAxisAnnotationFormatLabelRef(a) {
            this.gg = a;
            this.g("XAxisAnnotationFormatLabelRef");
        }
        get yAxisAnnotationFormatLabelRef() {
            return this.gk;
        }
        set yAxisAnnotationFormatLabelRef(a) {
            this.gk = a;
            this.g("YAxisAnnotationFormatLabelRef");
        }
    }
    CrosshairLayerDescription.$t = /*@__PURE__*/ markType(CrosshairLayerDescription, 'CrosshairLayerDescription', AnnotationLayerDescription.$);
    return CrosshairLayerDescription;
})();
